import * as $dara from '@darabonba/typescript';
export declare class DescribeRouterInterfacesResponseBodyRouterInterfaceSetRouterInterfaceType extends $dara.Model {
    accessPointId?: string;
    businessStatus?: string;
    chargeType?: string;
    connectedTime?: string;
    creationTime?: string;
    description?: string;
    endTime?: string;
    healthCheckSourceIp?: string;
    healthCheckTargetIp?: string;
    name?: string;
    oppositeAccessPointId?: string;
    oppositeInterfaceBusinessStatus?: string;
    oppositeInterfaceId?: string;
    oppositeInterfaceOwnerId?: string;
    oppositeInterfaceSpec?: string;
    oppositeInterfaceStatus?: string;
    oppositeRegionId?: string;
    oppositeRouterId?: string;
    oppositeRouterType?: string;
    role?: string;
    routerId?: string;
    routerInterfaceId?: string;
    routerType?: string;
    spec?: string;
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeRouterInterfacesResponseBodyRouterInterfaceSet extends $dara.Model {
    routerInterfaceType?: DescribeRouterInterfacesResponseBodyRouterInterfaceSetRouterInterfaceType[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeRouterInterfacesResponseBody extends $dara.Model {
    pageNumber?: number;
    pageSize?: number;
    requestId?: string;
    routerInterfaceSet?: DescribeRouterInterfacesResponseBodyRouterInterfaceSet;
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
